Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.mtp2
Interface Mtp2SapMBean

public abstract interface Mtp2SapMBean
extends Mtp2ManagedObjectMBean

This interface identifies an Mtp2 Service Access Point (SAP), an MTP2 SAP contains the attributes of the physical port and link that is connected to the logical signalling link. The timer values to be used with this link can be configured on a per-link basis.

The following statistics can be collected for this MBean

- MTP2_NUM_SIF_SIO_TRANS
- MTP2_NUM_SIF_SIO_RECIEVED
- MTP2_MSU_DISCARD_SL_CONGESTION

The following Alarms can be emitted by this MBean

- ALARM_MO_CREATED
- ALARM_MO_DELETED
- ALARM_MO_ATTRIBUTE_VALUE_CHANGED
- MTP2_ALARM_SL_ABNORMAL_FIBR_BSNR
- MTP2_ALARM_SL_EXCESSIVE_DELAY_ACK
- MTP2_ALARM_SL_START_REMOTE_PROCESSOR_OUTAGE
- MTP2_ALARM_SL_CONGESTION_START
- MTP2_ALARM_SL_CONGESTION_STOP
- MTP2_ALARM_SL_UP_PHYSICAL
- MTP2_ALARM_SL_DOWN_PHYSICAL
- MTP2_ALARM_SL_ALIGNED
- MTP2_ALARM_SL_NOT_ALIGNED
- MTP2_ALARM_RETRANSMIT_Q_FULL
- MTP2_ALARM_RETRANSMIT_Q_NOT_FULL
- MTP2_ALARM_REMOTE_CONGESTION_START

The following Errors can be emitted by this MBean

- NON_OAM_RELATED_ERROR

Relationship between the MTP2 JAIN OAM MBean

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Field Summary
`static int` | `PORT_TYPE_DCE` A port clocking type constant: Indicates that the port connects the transmit clock to an internal baud rate generator and provides this clock to the applicable line interface circuit.
`static int` | `PORT_TYPE_DTE` A port clocking type constant: Indicates that the port connects the transmit clock to the applicable line interface circuit.

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`ObjectName` | `getMtp2TimerProfile()` Returns the ObjectName of the MTP2 Timer Profile MBean containing the MTP2 Timer values to be used with this link.
`java.lang.Integer` | `getPortType()` Returns the clocking type of this port (DTE or DCE).
`void` | `setMtp2TimerProfile(ObjectName timerProfile)` Sets the MTP2 Timer Profile MBean (specified by its ObjectName) containing the MTP2 Timer values to be used with this link.
`void` | `setPortType(java.lang.Integer portType)` Sets the clocking type of this port (DTE or DCE).

Methods inherited from interface jain.protocol.ss7.oam.OamManagedObjectMBean
`getName, getObjectId, getObjectName, getObjectType, getProprietaryInformation, getStatistic, setName, startPollingStatistic, stopPollingStatistic`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Field Detail

### PORT_TYPE_DTE

    public static final int PORT_TYPE_DTE

  A port clocking type constant: Indicates that the port connects the transmit clock to the applicable line interface circuit.

### PORT_TYPE_DCE

    public static final int PORT_TYPE_DCE

  A port clocking type constant: Indicates that the port connects the transmit clock to an internal baud rate generator and provides this clock to the applicable line interface circuit.

Method Detail

### getMtp2TimerProfile

    public ObjectName getMtp2TimerProfile()

  Returns the ObjectName of the MTP2 Timer Profile MBean containing the MTP2 Timer values to be used with this link.
  Returns:
    the ObjectName of the Mtp2TimerProfileMBean

### setMtp2TimerProfile

    public void setMtp2TimerProfile(ObjectName timerProfile)

  Sets the MTP2 Timer Profile MBean (specified by its ObjectName) containing the MTP2 Timer values to be used with this link.
  Parameters:
    `timerProfile` - the MTP2 Timer Profile

### setPortType

    public void setPortType(java.lang.Integer portType)
                     throws java.lang.IllegalArgumentException

  Sets the clocking type of this port (DTE or DCE).
  Parameters:
    `portType` - either:

    - PORT_TYPE_DTE - connects the transmit clock to the applicable line interface circuit
    - PORT_TYPE_DCE - connects the transmit clock to an internal baud rate generator and provides this clock to the applicable line interface circuit.
  Throws:
    java.lang.IllegalArgumentException - - if the supplied port type is not one defined port types

### getPortType

    public java.lang.Integer getPortType()

  Returns the clocking type of this port (DTE or DCE).
  Returns:
    either:

    - PORT_TYPE_DTE - connects the transmit clock to the applicable line interface circuit
    - PORT_TYPE_DCE - connects the transmit clock to an internal baud rate generator and provides this clock to the applicable line interface circuit.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems